
Pre-Development - Feature #19674

FE - React - Environment handling

06 February 2024 04:11 PM - chok yee fan

Status: Feedback Start date: 06 February 2024

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

create the script at package.json to use the .env file.

build:sit read .env.sit and build

build:uat read .env.uat and build

build:prod read .env.prod and build

apply for all project such as cc_core, cc_auth, cc_topnavbar, cc_iam, cc_common

refer:

https://stackoverflow.com/questions/64807289/how-to-handle-multiple-environments-in-react-app

History

#1 - 07 February 2024 12:03 PM - chok yee fan

- Assignee changed from Amirul Umar Pandai to Nityanantan Nityanantan

#2 - 22 February 2024 03:00 PM - Nityanantan Nityanantan

- Status changed from New to Resolved

- Assignee changed from Nityanantan Nityanantan to Hazimi Muhammad

nity- env initialize for cc_core, cc_auth, cc_topnavbar, cc_iam, cc_common, cc_am

cc_common : 

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-common/-/commit/25769979c3c5db1c12964377e190e74062b1e5a7

cc_iam: https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/68dc3347ef0747c9032243eb6c608eff4ced5c96

cc_am: https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-am/-/commit/ee157d6abb1c80f8acb7476ff4f0d473157d265e

cc_topnavbar: 

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/628b4d0edf6c3a83bc0c057cd5edce2b7567658c

cc_core: 

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/84227c0207511de3ae4b22911de019bcbb6ab776

cc_auth: 

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/e6397ab57d6940668f94b91e62a636ba270415e2
#3 - 23 February 2024 10:47 AM - Hazimi Muhammad

- Status changed from Resolved to Feedback

- Assignee changed from Hazimi Muhammad to chok yee fan

Issue has been solved.

Check for:

-File env.sit , env.uat. env.prod has been add.

-The script at package.json has been add in :

cc_core,

cc_auth,

cc_topnavbar,

cc_iam,

cc_common,

cc_am

#4 - 26 February 2024 04:48 PM - chok yee fan

- File Screenshot 2024-02-26 at 4.47.18 PM.png added

- Status changed from Feedback to Assigned

- Assignee changed from chok yee fan to Hazimi Muhammad

issue

-----

remove the ^ for the version

expected

-----

no ~ or ^ symbol for the version.

applied for all projects

#5 - 26 February 2024 05:01 PM - Hazimi Muhammad

- Assignee changed from Hazimi Muhammad to Nityanantan Nityanantan

#6 - 27 February 2024 01:54 PM - Nityanantan Nityanantan

- Status changed from Assigned to Resolved

- Assignee changed from Nityanantan Nityanantan to Hazimi Muhammad

nity- remove caret from package json from cc_core, cc_auth, cc_topnavbar, cc_iam, cc_common, cc_am

cc_common : 

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-common/-/commit/29ed5bb63bf59219195738ba07001dd4c2a6a29a

cc_iam: https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/b3a28f69cc053e19a0b4a9512ca1c0cded77c91c

20 April 2025 2/3

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-common/-/commit/29ed5bb63bf59219195738ba07001dd4c2a6a29a
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/b3a28f69cc053e19a0b4a9512ca1c0cded77c91c


cc_am: https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-am/-/commit/4e28f2c4f71a77cb770b99134bb651121a2e9faa

cc_core,cc_auth, cc_topnavbar: 

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/34ef05cc4f52dd8e348fbbaf38f04b46f0e08bdd

#7 - 29 February 2024 03:53 PM - Hazimi Muhammad

- Status changed from Resolved to Feedback

- Assignee changed from Hazimi Muhammad to chok yee fan

Issue has been fixed.

Already check for package json for:

cc_core,

cc_auth,

cc_topnavbar,

cc_iam,

cc_common,

cc_am

no ~ or ^ symbol for the version.

Files

Screenshot 2024-02-26 at 4.47.18 PM.png 136 KB 26 February 2024 chok yee fan
